#include "DialogManager.h"
#include "core/CoreIncludes.h"
#include "core/singleton/ScopedSingletonIncludes.h"

namespace orxonox
{
    ManageScopedSingleton(DialogManager, ScopeID::ROOT, false);

    RegisterAbstractClass(DialogManager).inheritsFrom<Listable>();

    DialogManager::DialogManager()
    {
        RegisterObject(DialogManager);

        this->currentTalk_ = NULL;
    }

    void DialogManager::setDialog(Dialog* dialog)
	{
		this->currentTalk_ = dialog;	
	}

	const Dialog* DialogManager::getCurrentDialog()
	{
		return this->currentTalk_;
	}
	
	bool DialogManager::empty()
	{
		if(this->currentTalk_ == NULL)
		{
			return true;
		}
		else 
		{
			return false;
		}
	} 
}
/*#include "core/CoreIncludes.h"
#include "core/LuaState.h"
#include "core/GUIManager.h"
#include "core/class/Identifier.h"
#include "core/singleton/ScopedSingletonIncludes.h"
#include "network/Host.h"
#include "network/NetworkFunctionIncludes.h"
#include "DialogManager.h"
#include <vector>
#include <string>
#include "core/XMLPort.h"
#include "Dialog.h"



namespace orxonox {

	ManageScopedSingleton(DialogManager, ScopeID::ROOT, false);


	DialogManager::DialogManager()
	{
		this->currentTalk_ = NULL;
	}

	void DialogManager::setDialog(Dialog* dialog)
	{
		this->currentTalk_ = dialog;	
	}

	const Dialog& getCurrentDialog()
	{
		return this->currentTalk_;
	}
	
	bool DialogManager::empty()
	{
		if(this->currentTalk_ == NULL)
		{
			return true;
		}
		else 
		{
			return false;
		}
	} 
} */