/*
#ifndef _DialogManager_H__
#define _DialogManager_H__

#include "core/CoreIncludes.h"
#include "core/LuaState.h"
#include "core/GUIManager.h"
#include "core/class/Identifier.h"
#include "core/singleton/ScopedSingletonIncludes.h"
#include "network/Host.h"
#include "network/NetworkFunctionIncludes.h"
#include "util/Singleton.h"
#include <string>
#include <vector>
#include "core/config/Configurable.h"
#include "core/XMLPort.h"
#include "core/EventIncludes.h"
#include "Dialog.h"





namespace orxonox //tolua_export

{//tolua_export
	class _OrxonoxExport DialogManager //tolua_export
	: public Singleton<DialogManager>
	{//tolua_export
		friend class Singleton<DialogManager>;
	
		public:
		
		DialogManager();
		

		static DialogManager& getInstance() { return Singleton<DialogManager>::getInstance(); } //tolua_export
		

		void setDialog(Dialog* dialog); //tolua_export	// the triggered dialog sets it self so the lua can get to it.
		const Dialog& getCurrentDialog(); 	//tolua_export
		bool empty(); //tolua_export //returns true if no dialog is set.

private:
	Dialog* currentTalk_; //Dialog which is currently set.
	static DialogManager* singletonPtr_s;

	};//tolua_export
}//tolua_export
#endif
 */

#ifndef _DialogManager_H__
#define _DialogManager_H__

#include "util/Singleton.h"
#include "core/object/Listable.h"
#include "Dialog.h"

namespace orxonox
{
    class DialogManager : public Singleton<DialogManager>, public Listable
    {
        friend class Singleton<DialogManager>;

        public:
            DialogManager();

            int getValue() const
                { return this->value_; }

        	static DialogManager& getInstance() { return Singleton<DialogManager>::getInstance(); }

       	 	void setDialog(Dialog* dialog);
        	const Dialog* getCurrentDialog();
       		bool empty();

        private:
        	Dialog* currentTalk_;
            int value_;

            static DialogManager* singletonPtr_s;
    };
}

#endif /* _DialogManager_H__ */